%define serverroot /var/www/html/wikini

%define name wikini
%define version 0.4.3
%define release %mkrel 6

Summary: A clone of Wiki in php (a WikiEngine)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:  %{name}-install.patch.bz2
License: BSD
Group: System/Servers
Url: http://www.wikini.net/wakka.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm >= 2.0.54
Requires:       apache-conf >= 2.0.54
Requires:       apache-mpm >= 2.0.54
Requires:       apache-mod_php
BuildArch:	noarch
BuildRequires:	file


%description
WikiNi offer a simple, effective and fast way to create and managed
internet or intranet site. This tool allows, on line, with any browser
to:
  - create, remove, modify, comment site pages
  - manage rights to pages (read, write, comment)
  - work out page-setting of the contents in an intuitive and very
    visual way, without any computer knowledge
  - publish immediatly any creation or change
  - analyse, manage the whole site from simple functions: pages index,
    users list, list of last modified pages

%prep
%setup -q -n wikini
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p doc
mv COPYING INSTALL LICENSE README doc/

install -d %{buildroot}%{serverroot}
cp -R index.php actions wakka.* formatters handlers setup %{buildroot}%{serverroot}

# fix apache config
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat >> %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
<Directory "%{serverroot}/actions">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/formatters">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/handlers">
    Order allow,deny
    Deny from All
</Directory>

<Directory "%{serverroot}/setup">
    Order allow,deny
    Deny from All
</Directory>
EOF

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,apache,apache)
%doc doc/*
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{serverroot}/index.php
%dir %{serverroot}/
%{serverroot}/wakka.*
%dir %{serverroot}/actions
%{serverroot}/actions/*
%dir %{serverroot}/formatters
%{serverroot}/formatters/*
%dir %{serverroot}/handlers
%{serverroot}/handlers/*
%dir %{serverroot}/setup
%{serverroot}/setup/*


%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.3-6mdv2010.0
+ Revision: 434754
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.3-5mdv2009.0
+ Revision: 261985
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.3-4mdv2009.0
+ Revision: 256021
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.4.3-2mdv2008.1
+ Revision: 140932
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-2mdv2008.0
+ Revision: 43884
- Import wikini



* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-2mdv2008.0
- fix deps

* Thu Feb  2 2006 Jerome Martin <jerome.f.martin@free.fr> 0.4.3-1mdk
- First Mandriva version
